<template>
  <div data-name="template-container"
    class="card">

    <div class="card-body">
      <div data-name="bid-input" v-if="meal_selected === true">
        {{meal.desc}} <br>
        <b>Amount: </b> <input type="number" v-model="amount" placeholder="amount" 
          min="0" v-bind:max="meal.priceRange.max+meal.priceRange.jump" step=".01">
      </div>
      <div data-name="no-meal" class="bg-warning text-dark" v-else>
        <i class="fas fa-exclamation-triangle"></i> No meal selected
      </div>
      <button type="button" class="btn btn-outline-dark" v-on:click="_showPickerFor_Meals">
        <i class="far fa-hand-pointer"></i> Select Meal
      </button> &nbsp;
      <button type="button" class="btn btn-outline-danger" v-on:click="_remove_Meal" :hidden="meal_selected === false">
        <i class="far fa-trash-alt"></i> Remove Meal
      </button>
    </div>
    <pickerFor-meal ref="pickerFor_meal" v-on:selected:item="_handle_itemSelected" v-bind:meal_selected="meal.mealId"></pickerFor-meal>
  </div>
</template>

<script src="./editorFor-meal-bid.js"></script>
<style src="./editorFor-meal-bid.css" scoped="scoped"></style>
